petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPGetDiagonalScaleFix

Determines if KSP diagonally scales the system back after solving.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetDiagonalScaleFix(KSP ksp,PetscBool  *fix)

Not Collective Many br

### Input Parameter

ksp -the KSP context Many br

### Output Parameter

fix -PETSC_TRUE to scale back after the system solve, PETSC_FALSE to not Many brrescale (default) Many br

### Notes

Must be called after KSPSetDiagonalScale() Many br

If PETSC_TRUE will slow things down, because it rescales the matrix before and Many brafter each linear solve. This is intended mainly for testing to allow one Many brto easily get back the original system to make sure the solution computed is Many braccurate enough. Many br

Many br

### Keywords

KSP, set, options, prefix, database

### See Also

KSPGetDiagonalScale(), KSPSetDiagonalScale(), KSPSetDiagonalScaleFix()

Level:intermediate
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages